SHRED(1)

BEZEICHNUNG
shred - Eine Datei überschreiben, um den Inhalt zu verstecken und optional zu löschen

ÜBERSICHT
shred [OPTION]... DATEI...

BESCHREIBUNG

Mehrfaches Überschreiben der angegebenen DATEI(en), um es schwerer zu machen, selbst mit teuren Hardware‐Analysemitteln die Daten wieder herzustellen.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-f, --force
    Zugriffsrechte ändern, um nötigenfalls Schreiben zuzulassen

-n, --iteration=N
    N Mal überschreiben statt des Standardwertes (3)

--random-source=DATEI
    Zufällige Byte aus DATEI nehmen

-s, --size=N
    Diese Anzahl Byte schreddern (Endsilben wie K, M, G zulässig)

-u, --remove[=HOW]
    truncate and remove file after overwriting; See below

-v, --verbose
    Fortschritt anzeigen

-x, --exact
    Dateigrößen nicht auf den nächsten vollen Block aufrunden;

    Dies ist für nicht‐reguläre Dateien die Voreinstellung.

-z, --zero
    Ein letztes Überschreiben mit Nullen hinzufügen, um Shreddern zu verbergen.

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Falls die DATEI »-« ist, die Standardausgabe shreddern.

Delete FILE(s) if --remove (-u) is specified. The default is not to remove the files because it is common to operate on device files like /dev/hda, and those files usually should not be removed. The optional HOW parameter indicates how to remove a directory entry: 'unlink' => use a standard unlink call. 'wipe' => also first obfuscate bytes in the name. 'wipesync' => also sync each obfuscated byte to disk. The default mode is 'wipesync', but note it can be expensive.

VORSICHT: Beachten Sie, dass Shred auf einer sehr wichtigen Annahme beruht: dass das Dateisystem Daten an derselben Stelle überschreibt. Dies ist die traditionelle Vorgehensweise, doch viele moderne Betriebssystemdesigns erfüllen diese Annahme nicht. Die folgenden Dateisysteme sind Beispiele, auf denen Shred keine Wirkung hat oder auf denen nicht für alle Dateisystemmodi eine Wirkung garantiert werden kann:

* Protokollstrukturierte oder Dateisysteme mit Journal, wie die mit AIX und Solaris gelieferten (und JFS, ReiserFS, XFS, Ext3, usw.)

* Dateisysteme, die redundante Daten schreiben und auch dann fortfahren, wenn einige Schreibvorgänge fehlschlagen, wie RAID‐basierte Dateisysteme

* Dateisysteme, die Schnappschüsse anfertigen, wie der NFS‐Server von »Network Appliance«

* Dateisysteme, die an temporären Orten zwischenspeichern, wie NFS-Version-3-Clients

* komprimierte Dateisysteme

In the case of ext3 file systems, the above disclaimer applies (and shred is thus of limited effectiveness) only in data=journal mode, which journals file data in addition to just metadata. In both the data=ordered (default) and data=writeback modes, shred works as usual. Ext3 journaling modes can be changed by adding the data=something option to the mount options for a particular file system in the /etc/fstab file, as documented in the mount man page (man mount).

Zusätzlich können Dateisystemsicherungen und Spiegel in der Ferne Kopien der Datei enthalten, die nicht entfernt werden können, und die es erlauben, eine geschredderte Datei später wieder herzustellen.

GNU coreutils online help: <http://www.gnu.org/software/coreutils/> Report shred translation bugs to <http://translationproject.org/team/>

AUTOR
Geschrieben von Colin Plumb.

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für shred wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und shred auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'shred invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org> und Chris Leick <c.leick@vollbio.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.